
From: "Antonino A. Daplas" <adaplas@gmail.com>

Stop LCD displays from flickering during high loads.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/i810/i810_main.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/video/i810/i810_main.c~i810fb-stop-lcd-displays-from-flickering drivers/video/i810/i810_main.c
--- 25/drivers/video/i810/i810_main.c~i810fb-stop-lcd-displays-from-flickering	Thu Sep  1 17:05:00 2005
+++ 25-akpm/drivers/video/i810/i810_main.c	Thu Sep  1 17:05:00 2005
@@ -311,6 +311,8 @@ static void i810_hires(u8 __iomem *mmio)
 	val = i810_readb(CR_DATA_CGA, mmio);
 	i810_writeb(CR_INDEX_CGA, mmio, CR80);
 	i810_writeb(CR_DATA_CGA, mmio, val | 1);
+	/* Stop LCD displays from flickering */
+	i810_writel(MEM_MODE, mmio, i810_readl(MEM_MODE, mmio) | 4);
 }
 
 /**
_
